# 操作按钮选项
operation: [
    { name: 'edit', label: '修改', icon: 'el-icon-edit' },
## name = delete 时 会出现二次确认
    { name: 'delete', label: '删除', icon: 'el-icon-delete' }
],
# 列表filed渲染 formater为搜索使用
filed: [
## 日期类型
    { label: '日期', name: 'date', icon: 'el-icon-time', filter: true, formater: 'date:datetime' },
## 普通输入类型
    { label: '名字', name: 'name', filter: true, placeholder: '输入名字' },
<!-- ## 选择类型
    { label: '地址', name: 'address', filter: true, formater: 'dict:status' }
], -->
# 列表显示数据
tableData: [
    { date: '2016-05-02', name: '王小虎', address: '上海市普陀区金沙江路 1518 弄' },
    { date: '2016-05-04', name: '王小虎', address: '上海市普陀区金沙江路 1517 弄' },
    { date: '2016-05-01', name: '王小虎', address: '上海市普陀区金沙江路 1519 弄' }
]
# 调用
<filterList :tableData="tableData" :filed="filed" :operation="operation" @edit="filtereEdit" @delete="filterDelete" @query="filterQuery"></filterList>

# 参数详情
    // 是否使用分页
    pagination: { type: Boolean, default: true },
    // 是否使用查询
    filter: { type: Boolean, default: true },
    // 多选属性
    selection: { type: Boolean, default: false },
    // 只读属性
    readOnly: { type: Boolean, default: false },
    // 数据
    tableData: { type: Array, default: () => [] },
    // 操作选项
    operation: {
        type: Array,
        default: () => [
        { name: 'edit', label: '修改', icon: 'el-icon-edit' },
        { name: 'delete', label: '删除', icon: 'el-icon-delete' }
        ]
    },
    // 列表循环项
    filed: { type: Array, default: () => [] },
    // 分页总数
    total: { type: Number, default: 111 },
    // 每页条数
    pageSize: { type: Number, default: 10 }
# 默认返回函数
    edit
    delete
    query